GET /organizations/{organizationId}/sensor/readings/history

meraki.com

Summary: Return all reported readings from sensors in a given timespan, sorted by timestamp
Operation ID: getOrganizationSensorReadingsHistory
Auth: unknown
Description

Return all reported readings from sensors in a given timespan, sorted by timestamp

Parameters (10)

endingBefore (string, query, optional)

A token used by the server to indicate the end of the page. Often this is a timestamp or an ID but it is not limited to those. This parameter should not be defined by client applications. The link for the first, last, prev, or next page in the HTTP Link header should define it.

metrics (array, query, optional)

Types of sensor readings to retrieve. If no metrics are supplied, all available types of readings will be retrieved. Allowed values are battery, button, door, humidity, indoorAirQuality, noise, pm25, temperature, tvoc, and water.

networkIds (array, query, optional)

Optional parameter to filter readings by network.

organizationId (string, path, required)
perPage (integer, query, optional)

The number of entries per page returned. Acceptable range is 3 - 1000. Default is 1000.

serials (array, query, optional)

Optional parameter to filter readings by sensor.

startingAfter (string, query, optional)

A token used by the server to indicate the start of the page. Often this is a timestamp or an ID but it is not limited to those. This parameter should not be defined by client applications. The link for the first, last, prev, or next page in the HTTP Link header should define it.

t0 (string, query, optional)

The beginning of the timespan for the data. The maximum lookback period is 365 days and 6 hours from today.

t1 (string, query, optional)

The end of the timespan for the data. t1 can be a maximum of 7 days after t0.

timespan (number, query, optional)

The timespan for which the information will be fetched. If specifying timespan, do not specify parameters t0 and t1. The value must be in seconds and be less than or equal to 7 days. The default is 2 hours.

No probe data for this endpoint yet.